SMS Status New
GET
/api/v3/sms/status Base URL https://api.easify.liveBearer token and Accept header required Authentication →
This endpoint is used to fetch the status of a message sent with Send SMS (New).
The user can fetch the SMS status using the sms_id, which is provided in the Send SMS API response.
This endpoint has its own rate limit of 1000 requests per minute per API token, separate from the other endpoints. If you exceed this limit, you will receive a 429 Too Many Requests status, along with a message indicating when you can try again.
The authenticated user must have access to the SMS feature. Requests made without the proper feature permissions will receive a 490 status code response, indicating that a plan upgrade is required.Query Parameters
| reference_id string | reference_id is provided in the send-sms API response | Required |
Example Request and Response
Params:
{
"reference_id": "41a66ba9-3e50-481a-8cc4-db7**"
}
Success Response:
{
"status": true,
"message": "Message status fetched successfully",
"data": {
"reference_id": "c09698bc-43bb-43d4-bd66-311**",
"status": "Preparing",
"remarks": "Preparing, please wait",
"created_at": "2026-07-22T05:29:20.000000Z",
"updated_at": "2026-07-22T05:29:20.000000Z"
}
}
SMS Status
| Status | Description |
|---|---|
| Queued | The SMS message is queued for processing |
| Preparing | The SMS message is being prepared to be sent |
| Pending | The SMS message item has been prepared and waiting to be sent |
| Scheduled | If you are sending an SMS during a restricted time, it will be scheduled for the next available time after preparation. |
| Success | The SMS message has been successfully sent to the recipient |
| Delivered | The SMS message has been successfully delivered to the recipient. |
| Undelivered | The SMS message could not be delivered to the recipient. This could be due to various reasons such as an invalid phone number or network issue. |
| Failed | The SMS message delivery attempt failed. |
Responses
| Case | Status Code | Response |
|---|---|---|
| If the user does not provide a token in the header or provides an invalid token | 401 |
{
"status":false,
"message":"Unauthenticated",
"errors":[]
}
|
| If user not provided reference_id | 422 |
{
"message":"The reference id field is required.",
"errors": {
"sms_id": ["The reference id field is required."]
}
}
|
| If user provided invalid reference_id | 404 |
{
"status":false"
message":"Message with provided reference ID not found.",
"errors": []
}
|
| If the user exceeds the allowed rate limit for requests | 429 |
{
"status":false,
"message":"Too many requests. Try again in 59 seconds",
"errors":[]
}
|
| If the user's subscription has ended | 402 |
{
"status":false,"message":"You need to recharge your account to proceed","errors":[]
}
|
| When the user account is inactive | 403 |
{
"status": false,
"message": "Your account is currently inactive.",
"errors": []
}
|
| If the request comes from an IP address or domain that is not on the account's API whitelist | 400 |
{
"status": false,
"message": "Access denied! Your IP or domain is not whitelisted.[ HostName : ] - [ Ip Address : << YOUR_SERVER_IP >>]",
"errors": []
}
|
Code Examples
Fetch the SMS status
php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => 'https://api.easify.live/api/v3/sms/status?reference_id=41a66ba9-3e50-481a-8cc4-db7**',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'GET',
CURLOPT_HTTPHEADER => [
'Authorization: Bearer <> ',
'Accept: application/json',
],
]);
$response = curl_exec($curl);
curl_close($curl);
echo $response;